import { jsx as _jsx } from "react/jsx-runtime";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faForumbee } from "@fortawesome/free-brands-svg-icons";
import { faCalendar } from "@fortawesome/free-solid-svg-icons";
import { faFileAlt } from "@fortawesome/free-solid-svg-icons/faFileAlt";
import { faUser } from "@fortawesome/free-solid-svg-icons";
import { faSitemap } from "@fortawesome/free-solid-svg-icons";
import { faWikipediaW } from "@fortawesome/free-brands-svg-icons";
export function CustomFontAwesomeIcon({ result, }) {
    const documentTypesSet = result.source.documentTypes;
    if (documentTypesSet.includes("forum")) {
        return _jsx(FontAwesomeIcon, { icon: faForumbee });
    }
    if (documentTypesSet.includes("calendar")) {
        return _jsx(FontAwesomeIcon, { icon: faCalendar });
    }
    if (documentTypesSet.includes("user")) {
        return _jsx(FontAwesomeIcon, { icon: faUser });
    }
    if (documentTypesSet.includes("site")) {
        return _jsx(FontAwesomeIcon, { icon: faSitemap });
    }
    if (documentTypesSet.includes("wiki")) {
        return _jsx(FontAwesomeIcon, { icon: faWikipediaW });
    }
    return _jsx(FontAwesomeIcon, { icon: faFileAlt });
}
